Skip to main content
POST
/
ping-post
/
v2
/
leads
Create a Lead
curl --request POST \
  --url https://develop.qa.credible.com/api/partners/personal/ping-post/v2/leads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "requestedLoanAmount": 9999,
  "loanPurpose": "debt_consolidation",
  "borrower": {
    "email": "[email protected]",
    "firstName": "Great",
    "lastName": "Credibletest",
    "phone": "7777777777",
    "dob": "19881014",
    "ssn": "1451"
  },
  "address": {
    "city": "Bloomsburg",
    "state": "PA",
    "street": "378 East Street",
    "zipcode": "17815"
  },
  "employment": {
    "status": "employed_full_time",
    "incomeYearly": 90000
  },
  "housing": {
    "type": "rent",
    "monthlyPayment": 1200
  },
  "disclosuresText": "<p>By clicking \"Continue\" I confirm I have read and agree to Credible`s <a href=\"https://www.credible.com/privacy\">Privacy Policy</a></p>"
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create Personal Loans Ping Post Lead Application

requestedLoanAmount
integer<int32>
required
Required range: 1000 <= x <= 200000
Example:

9999

loanPurpose
enum<string>
required
Available options:
credit_card_refinancing,
debt_consolidation,
home_improvement,
major_purchase,
home_buying,
car_financing,
green_loan,
business,
vacation,
moving_relocation,
medical_expenses,
wedding,
motorcycle,
rv,
boat,
taxes,
baby_or_adoption,
engagement_ring_financing,
cosmetic_procedures,
special_occasion,
other
Example:

"debt_consolidation"

borrower
object
required
address
object
required
employment
object
required
housing
object
required
disclosuresText
string
required
Example:

"<p>By clicking \"Continue\" I confirm I have read and agree to Credibles <a href="https://www.credible.com/privacy\">Privacy Policy

"`

partnerLeadId
string
Example:

"partner-lead-id"

partnerCampaignId
string
Example:

"1373"

partnerPassedData
object

Response

201

Create Personal Loans Ping Post Lead Application